# To run: java -jar solution.jar html/origin.html html/sample-1-evil-gemini.html

# To run with non-default target element id: java -jar solution.jar html/origin.html html/sample-1-evil-gemini.html your-custom-id

Real execution time is 3 hours (from Jul 10 23:40 till Jul 11 2:40)